# ❤️ teeworlds-utilities

![tests](https://github.com/teeworlds-utilities/teeworlds-utilities/actions/workflows/tests.yml/badge.svg) [![npm version](https://badge.fury.io/js/teeworlds-utilities.svg)](https://badge.fury.io/js/teeworlds-utilities) ![license](https://img.shields.io/badge/License-MIT-brightgreen.svg)

Formerly known as `tw-utils` or `@b0th/tw-utils`.

## 📖 Build and run

You only need the following requirements:

- [NodeJS](https://nodejs.org/en/download)
  - 18.x
  - 20.x

To install the npm package, you should run the following command.

```bash
npm i teeworlds-utilities
```

## 🤝 Contribute

If you want to help the project, you can follow the guidelines in [CONTRIBUTING.md](./CONTRIBUTING.md).

## 🧪 Tests

There are some unitary test written for `jest`. You can run them with the following command:

```bash
npm run test
```

If you want to debug, you should set the environment variable `DEBUG` to `true`, it will allow **`Logger.debug`** to output.

# ⭐ Use cases

If you want to see examples of how to use the library, you can check the **`**.test.ts`** files, such as [asset](./lib/asset/asset.test.ts).

## 🎉 Tasks

- [x] Unitary tests
- [x] Documentation 80 %
- [ ] Documentation 100 %
- [x] CI/CD pipeline
- [x] Log environment variable
- [x] Extract every asset part
