import { Canvas, CanvasRenderingContext2D } from 'canvas';
import { CanvasTextZone, Margin } from './textBox';
export interface ICard {
    process(): Promise<this>;
    save: (dirname: string, filename: string) => this;
    setBackground: (path: string) => Promise<this>;
    setRandomBackground: (dirpath: string) => Promise<this>;
}
declare abstract class AbstractCanvasCard implements ICard {
    margin: Margin;
    protected font: string;
    protected background?: Canvas;
    protected textBoxes: {
        [key: string]: CanvasTextZone;
    };
    canvas: Canvas;
    protected ctx: CanvasRenderingContext2D;
    constructor(witdh: number, height: number);
    setFont(font: string): this;
    setMargin(margin: Margin): this;
    get maxWidth(): number;
    get maxHeight(): number;
    protected processTextBoxes(): this;
    process(): Promise<this>;
    protected pasteCanvas(canvas: Canvas, dx: number, dy: number, dw: number, dh: number): this;
    protected processBackground(): this;
    setBackground(path: string): Promise<this>;
    setRandomBackground(bg_folder: string): Promise<this>;
    save(path: string): this;
}
export declare class PersonalCard extends AbstractCanvasCard {
    constructor();
    process(): Promise<this>;
    private addTextBox;
    setUsername(content: string): this;
    setSince(content: string): this;
    setGamemode(content: string): this;
    setClan(content: string): this;
    setDescription(content: string): this;
}
export {};
