/**
 * Abstract class used for every exception.
 */
declare abstract class BaseError extends Error {
    constructor(message: string);
}
/**
 * File exceptions.
 */
export declare class FileError extends BaseError {
}
/**
 * Asset exceptions.
 */
export declare class AssetError extends BaseError {
}
/**
 * Asset part exceptions.
 */
export declare class AssetPartError extends BaseError {
}
/**
 * Scene exceptions.
 */
export declare class SceneError extends BaseError {
}
/**
 * Color exceptions.
 */
export declare class ColorError extends BaseError {
}
/**
 * Board exceptions.
 */
export declare class BoardError extends BaseError {
}
export {};
