import { Canvas, CanvasRenderingContext2D } from 'canvas';
type RectangleData = [number, number, number, number];
type Position = [number, number];
export default class Scene {
    canvas: Canvas;
    ctx: CanvasRenderingContext2D;
    private cache;
    private scheme;
    private actions;
    private parts;
    constructor(path: string);
    preprocess(scheme?: any): this;
    initCanvas(): void;
    saveScene(path: string): this;
    execScheme(): Promise<this>;
    renderScene(): Promise<void>;
    addLine(mapres: string, source: RectangleData, pointSource: Position, pointDestination: Position): Promise<void>;
    addBlock(mapres: string, source: RectangleData, destination: RectangleData): Promise<void>;
    addSquare(mapres: string, source: RectangleData, topLeft: Position, bottomRight: Position): Promise<void>;
    setRandomBackground(bg_folder: string): Promise<void>;
    addTee(path: string, destination: RectangleData): Promise<void>;
    setBackground(image: string): Promise<void>;
    getCanvasFromCache(path: string): Promise<Canvas>;
    pasteCanvas(canvas: Canvas, dx: number, dy: number, dw: number, dh: number): this;
}
export {};
