import { Canvas } from 'canvas';
export interface ITextDescriptor {
    value: string;
    x: number;
    y: number;
    font: string;
    size: number;
    color: string;
}
export type Margin = {
    top: number;
    bottom: number;
    left: number;
    right: number;
};
export interface ITextBox {
    title?: ITextDescriptor;
    content: ITextDescriptor;
    margin: Margin;
    color: string;
    x: number;
    y: number;
    w: number;
    h: number;
}
declare abstract class AbstractTextZone implements ITextBox {
    title?: ITextDescriptor;
    content: ITextDescriptor;
    margin: Margin;
    color: string;
    x: number;
    y: number;
    w: number;
    h: number;
    constructor();
    setTitle(title: ITextDescriptor): this;
    setContent(content: ITextDescriptor): this;
    setMargin(margin: Margin): this;
    setColor(color: string): this;
    setPos(x: number, y: number): this;
    get maxWidth(): number;
}
declare class CanvasTextZone extends AbstractTextZone {
    canvas: Canvas;
    private ctx;
    constructor(witdh?: number, height?: number);
    private breakText;
    private processText;
    private alignCenter;
    private processBackground;
    process(): this;
}
export { CanvasTextZone };
